<?php

// Begin session, initiate database connection, etc.
require_once('./includes/config.php');
require_once('./includes/start.php');

// Store variables
$name = $_POST['reg_name'];
$user = $_POST['reg_user'];
$pass = $_POST['reg_pass'];
$pass_c = $_POST['reg_pass_c'];
$email = $_POST['reg_email'];

// Begin error checking
array($errors);

if(empty($name)){
	$errors[] = 'You must type a name.';
}

if(empty($user)){
	$errors[] = 'You must type a username.';
}

if(empty($pass)){
	$errors[] = 'You must type a password.';
}

if(empty($pass_c)){
	$errors[] = 'You must repeat your password.';
}

if(empty($email)){
	$errors[] = 'You must type your email address.';
}

if(strlen($name) > 32){
	$errors[] = 'Your name cannot exceed 32 characters.';
}

if((strlen($user) < 3) or (strlen($user) > 16)){
	$errors[] = 'Your username must be between 3 and 16 characters long.';
}

if((strlen($pass) < 3) or (strlen($pass) > 16)){
	$errors[] = 'Your password must be between 3 and 16 characters long.';
}

if(!eregi('^[a-z\-]+[[:space:]]*[a-z\-]+$', $name)){
	$errors[] = 'Your name can only contain letters, spaces, and hyphens.';
}

if(!eregi('^[a-z0-9_]+$', $user)){
	$errors[] = 'Your username can only contain letters, numbers, and underscores.';
}

if(!eregi('^[a-z0-9_]+$', $pass)){
	$errors[] = 'Your password can only contain letters, numbers, and underscores.';
}

if(!eregi('^[a-z0-9_\-\.]+@[a-z0-9\-]+\.[a-z0-9\-\.]+$', $email)){
	$errors[] = 'Your email address does not appear valid.';
}

if($pass != $pass_c){
	$errors[] = 'Your password and confirmation password must match.';
}

// Check database to see if the username overlaps with an existing user
$query = 'SELECT null from users WHERE userUser = "' . $user . '"';
$result = mysql_query($query, $link);
$rows = mysql_num_rows($result);
mysql_free_result($result);

if($rows != 0){
	$errors[] = 'Your selected username is already in use. Please choose another.';
}

// Check database to see if the email address overlaps with an existing user
$query = 'SELECT null from users WHERE userEmail = "' . $email . '"';
$result = mysql_query($query, $link);
$rows = mysql_num_rows($result);
mysql_free_result($result);

if($rows != 0){
	$errors[] = 'Your selected email address is already in use. Please choose another.';
}

// Display header
	require("./templates/$template/header.php");

// If there are errors, display them
if(count($errors) != 0){
	?>
<h1>Регистрация</h1>
	<?php
	foreach($errors as $error){
		echo '' . $error . '<br />';
	}
	?><br />
	Вернитесь назад и поробуйте зарегистрироваться без ошибок. Не беспокойтесь, у Вас обязательно получится.
	<?php
}
// Otherwise, continue with registration
else{
	// Insert user into the database
	$query = 'INSERT INTO users (userName, userUser, userPass, userEmail) VALUES ("' . $name . '", "' . $user . '", "' . md5($pass) . '", "' . $email . '")';
	mysql_query($query, $link);
	
	// Grab PEAR Mail script
	require_once('./pear/Mail/Mail.php');
	
	// Set Mail parameters
	$to = '<' . $email . '>';
	$subject = 'Добро пожаловать на ' . $sitename .  ', ' . $name .  '!';
	$message = "Ваши данные для входа на сайт.\n\nЛогин: " . $user . "\nПароль: " . $pass . "\n\nСпасибо за интерес к $sitename!\n\nЖелаем удачи,\nАдминистрация $sitename\n $site_url";
	$headers = 'From: '.$site_email . "\r\n" .
		'Reply-To: ' . $site_email .  '' . "\r\n" .
		'Content-Type: text/plain; charset=utf-8'."\r\n".
		'X-Mailer: PHP/' . phpversion();
	
	// Send email message with registration info
	$message = wordwrap($message, 70);
	mail($to, $subject, $message, $headers);
	?>
<h1>Регистрация</h1>
	Выполнена успешно! Проверьте свой почтовый ящик, где Вы найдете данные для входа на сайт. Вы можете вернуться на <a href="<?=$site_url;?>/">главную страницу для входа</a>. 
	<?php
}

// Display footer
	require("./templates/$template/footer.php");

?>